<div id="comments">
	<% 
		video.comments = video.comments.reverse();
		video.comments.forEach(function (comment) {
	%>

	<div class="media mb-4">
		<img class="d-flex mr-3 comment-img" src="<%= comment.user.image %>" onerror="this.src = 'http://placehold.it/100x100'">

		<div class="media-body">
			<h5 class="mt-0"><%= comment.user.name %></h5>
			<%= comment.comment %>

			<div id="replies">
				<% if (isLogin) { %>
				<div style="float: right; cursor: pointer;" onclick="createReplyNode(this);" data-comment-id="<%= comment._id %>">Reply</div>
				<% } %>

				<% comment.replies.forEach(function (reply) { %>
				<div class="media mt-4">
					<img src="<%= reply.user.image %>" class="d-flex mr-3 comment-img" onerror="this.src='http://placehold.it/100x100'">
					<div class="media-body">
						<h5 class="mt-0"><%= reply.user.name %></h5>
						<%= reply.reply %>
					</div>
				</div>
				<% }) %>
			</div>
		</div>
	</div>

	<%
	})
	%>
</div>

<% if (typeof isLogin !== "undefined" && isLogin) { %>

	<div class="card my-4">
		<div class="card-header">
			Leave a comment:
		</div>

		<div class="card-body">
			<form class="postComment">
				<div class="form-group">
					<textarea class="form-control comment" name="comment" id="comment"></textarea>
				</div>

				<input type="submit" class="btn btn-primary" value="Post Comment">
			</form>
		</div>
	</div>

<% } %>